org.apache.ignite.spi.systemview.view

## Class MetricsView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.MetricsView

    public class MetricsView
    extends Object

Metrics representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`MetricsView(Metric metric)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`String` `name()`
`String` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricsView

    public MetricsView(Metric metric)

Parameters:
  `metric` - Metric.

### Method Detail

#### name

    public String name()

Returns:
  Metric name.

#### value

    public String value()

Returns:
  Metric value.

#### description

    public String description()

Returns:
  Metric description.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023